#include "xcommon.h"

void centerResize(QWidget &widget, const int &percent)
{
	QRect desktopRect = QDesktopWidget().availableGeometry();

	if (percent > 0)
		widget.resize(desktopRect.width() / 100.0 * percent, desktopRect.height() / 100.0 * percent);
#ifdef _WIN32
	QRect widgetRect = widget.frameGeometry();

	widgetRect.moveCenter(desktopRect.center());
	widget.move(widgetRect.topLeft());
#endif
}
