#ifndef XCOMMON_H
#define XCOMMON_H

#define SPREADSHEET_FILTER (tr("Spreadsheets %1").arg("(*.csv *.xls)"))
#define WORKSPACE_FILTER (tr("Workspace files %1").arg("(*.ccw)"))
#define CSV_FILTER (tr("Comma separated value files %1").arg("(*.csv)"))
#define EXCEL_FILTER (tr("Microsoft Excel files %1").arg("(*.xls)"))

#define CC_NAME "CoreFinder"
#define VERSION_MAJOR "1"
#define VERSION_MINOR "0"
#define VERSION_BUILD "d"
#define VERSION VERSION_MAJOR "." VERSION_MINOR VERSION_BUILD

#define ABOUT_TEXT	CC_NAME " " VERSION "\n\n" \
		"Authors:\n" \
		"Alberto Policriti\n" \
		"Alessio Sgarro\n\n" \
		CC_NAME " is based in part on the work of:\n\n" \
		"Qwt\nhttp://qwt.sf.net\n\n" \
		"ExcelFormat\nhttp://www.codeproject.com/KB/office/ExcelFormat.aspx"

#include <QDesktopWidget>
#include <QWidget>

void centerResize(QWidget &widget, const int &percent = 0);

#endif // XCOMMON_H
