QT += core gui

TARGET = CoreFinder
TEMPLATE = app

SOURCES += \
	xworkspace.cpp \
	xwizard.cpp \
	xsample.cpp \
	xresult.cpp \
	xmainwindow.cpp \
	xgraphwidget.cpp \
	xcsvtablewidget.cpp \
	xcsvtablemodel.cpp \
	xcsveditor.cpp \
	xcsv.cpp \
	xcore.cpp \
	xcommon.cpp \
	main.cpp

HEADERS += \
	xworkspace.h \
	xwizard.h \
	xsample.h \
	xresult.h \
	xmainwindow.h \
	xgraphwidget.h \
	xfile.h \
	xcsvtablewidget.h \
	xcsvtablemodel.h \
	xcsveditor.h \
	xcsv.h \
	xcore.h \
	xcommon.h

win32 {
	LIBS += qwt5.dll ExcelFormat.dll
}
unix {
	LIBS += -lqwt
	LIBS += ExcelFormat.so
	QMAKE_RPATHDIR += \$\$ORIGIN/lib
	QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$${QMAKE_RPATHDIR}\'
	QMAKE_RPATHDIR =
}

RESOURCES += \
	resources.qrc
