#ifndef XCSVTABLEWIDGET_H
#define XCSVTABLEWIDGET_H

#include <QtGui>
#include "xcsvtablemodel.h"

class XCsvTableWidget : public QTableView
{
	Q_OBJECT
public:
	explicit XCsvTableWidget(const bool &readOnly = true, QWidget *parent = 0);
	void setCsv(XCsv *csv);

private slots:
	void renameHorizontalHeader(int index);
	void renameVerticalHeader(int index);
};

#endif // XCSVTABLEWIDGET_H
